#ifndef TMDisplayingEventsWithHitsAll_H
#define TMDisplayingEventsWithHitsAll_H

#include "TMDisplaying.h"

class TGStatusBar;

class TMDisplayingEventsWithHitsAll : public TMDisplaying {

 public:
  TMDisplayingEventsWithHitsAll(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingEventsWithHitsAll();

  virtual void   Update();
  virtual void   CreateStatusFrame();

 protected:

  TGStatusBar *fTotalStatus;

  ClassDef(TMDisplayingEventsWithHitsAll, 0)
};

#endif
